Reference
Get Configuration
Endpoint:
Retrieves the configuration for your company in AI Insurance. This includes many enumerated fields like the types of entities that can be covered or whose information is tracked.
Was this page helpful?
Documentation Index
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
GET /api/external/companies/{companyId}/configuration
| Key | Type | Description |
|---|---|---|
ratingEngineFields | object | Rating fields with entity type and field key (used to create a quote) |
nonRatingFields | object | Non‑rating fields for policy and insured entities |
insuredEntityTypes | object | Keys are available insured entity types |
enabledCoverageTypes | object | Keys are enabled coverage type IDs |
curl -X GET \
"https://app.aiinsurance.io/api/external/companies/<YOUR-COMPANY-ID>/configuration" \
-H "Authorization: ApiKey <YOUR-API-KEY>"
Was this page helpful?
